Bug 1000494 (CVE-2013-2896) - CVE-2013-2896 Kernel: HID: ntrig: NULL pointer dereference
Summary: CVE-2013-2896 Kernel: HID: ntrig: NULL pointer dereference
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2896
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130829,repor...
Depends On: 1000501 1000503 1000505 1002594
Blocks: 1000487
TreeView+ depends on / blocked
 
Reported: 2013-08-23 14:21 UTC by Prasad J Pandit
Modified: 2019-06-08 19:42 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 08:31:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1490 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-10-31 20:23:39 UTC

Description Prasad J Pandit 2013-08-23 14:21:22 UTC
Linux kernel built with the Human Interface Device bus(CONFIG_HID) along with
the N-Trig touch screen driver(CONFIG_HID_NTRIG) support is vulnerable to a
NULL pointer dereference flaw. It could occur when an HID device sends
malicious output report to the ntrig kernel driver.

A local user with physical access to the system could use this flaw to crash
the kernel resulting in DoS.

Comment 1 Prasad J Pandit 2013-08-23 14:25:52 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

This issue affects the version of the kernel package as shipped with Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2 may address this issue.

Note: user would need physical access to the system to exploit this issue.

Comment 5 Prasad J Pandit 2013-08-29 13:50:43 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1002594]

Comment 6 Fedora Update System 2013-09-13 01:05:08 UTC
kernel-3.10.11-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-09-16 00:27:02 UTC
kernel-3.10.11-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 John Kacur 2013-09-30 21:03:17 UTC
commit 875b4e3763dbc941f15143dd1a18d10bb0be303b upstream

Comment 9 errata-xmlrpc 2013-10-31 16:28:31 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1490 https://rhn.redhat.com/errata/RHSA-2013-1490.html


Note You need to log in before you can comment on or make changes to this bug.